_OnigStackType Struct Reference

`#include <regint.h>`

## Data Fields

unsigned int | type
union {
struct {
UChar * pcode
UChar * pstr
UChar * pstr_prev
} state
struct {
int count
UChar * pcode
int num
} repeat
struct {
OnigStackIndex si
} repeat_inc
struct {
int num
UChar * pstr
OnigStackIndex start
OnigStackIndex end
} mem
struct {
int num
UChar * pstr
} null_check
struct {
UChar * ret_addr
int num
UChar * pstr
} call_frame
} | u

## Detailed Description

Definition at line 724 of file regint.h.

## Field Documentation

struct { ... } _OnigStackType::call_frame

int _OnigStackType::count

Definition at line 736 of file regint.h.

OnigStackIndex _OnigStackType::end

Definition at line 748 of file regint.h.

struct { ... } _OnigStackType::mem

Referenced by match_at().

struct { ... } _OnigStackType::null_check

int _OnigStackType::num

Definition at line 738 of file regint.h.

UChar* _OnigStackType::pcode

Definition at line 728 of file regint.h.

UChar* _OnigStackType::pstr

Definition at line 729 of file regint.h.

UChar* _OnigStackType::pstr_prev

Definition at line 730 of file regint.h.

struct { ... } _OnigStackType::repeat

Referenced by match_at().

struct { ... } _OnigStackType::repeat_inc

UChar* _OnigStackType::ret_addr

Definition at line 756 of file regint.h.

OnigStackIndex _OnigStackType::si

Definition at line 741 of file regint.h.

OnigStackIndex _OnigStackType::start

Definition at line 747 of file regint.h.

struct { ... } _OnigStackType::state

Referenced by match_at().

unsigned int _OnigStackType::type

Definition at line 725 of file regint.h.

Referenced by match_at().

union { ... } _OnigStackType::u

Referenced by match_at().

The documentation for this struct was generated from the following file:

- regint.h